<?php
/*
 * @package Joomla 1.5
 * @copyright Copyright (C) 2005 Open Source Matters. All rights reserved.
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php
 *
 * @Module DownloadPrice aKernel
 * @copyright Copyright (C) aKernel www.akernel.ru
 * @license http://www.gnu.org/copyleft/gpl.html GNU/GPL
 */

// Set flag that this is a parent file
define( '_JEXEC', 1 );

define('JPATH_BASE', preg_replace('|\Smodules\Smod_.*?\Sprice.php|i', '', __FILE__));

define( 'DS', DIRECTORY_SEPARATOR );

require_once ( JPATH_BASE .DS.'includes'.DS.'defines.php' );
require_once ( JPATH_BASE .DS.'includes'.DS.'framework.php' );

$mainframe =& JFactory::getApplication('site');

$mainframe->initialise();

JPluginHelper::importPlugin('system');

jimport( 'joomla.application.module.helper' );

preg_match('|\Smodules\Smod_(.*?)\Sprice.php|si', __FILE__, $buff);

$module = JModuleHelper::getModule( $buff[1], '' );

//error_reporting (0);
//echo $module->params;
$param = array();
$params = explode ("\n", $module->params);
for ($n = 0; $n < count ($params); $n++)
{
	$para = explode ("=", $params[$n]);
	$param[$para[0]] = $para[1];
}
$path = JPATH_BASE . '/'. $param['price_name'];
//echo $path; return;

$name = JRequest::getVar('name');
$email = JRequest::getVar('email');
$time = JRequest::getVar('time');
$token = JRequest::getVar('token');
$token2 = md5 ($name.'denver'.$email.$time);
$allowed = 60;//время действия ссылки
$razn = mktime() - $time;
if ($token != $token2 || $razn > $allowed)
{
	$msg = 'Ссылка недействительна!';
	$uri =& JURI::getInstance();
	$mainframe->redirect(JRoute::_('http://'.$uri->getHost().'/'), $msg);
	return;
}

jimport('joomla.mail.mail');
$m = & JMail::getInstance();
$m->setSender(array($param['email'], $param['sender']));
$m->setSubject('Загрузка прайса');
$m->setBody(date("d/m \в H:i").' скачан прайс: Имя: '.$name.', email: '.$email);
$m->addRecipient($param['email']);
$result = $m->Send();

  header("Content-type: application/vnd.ms-excel");
  header("Content-Disposition: attachment; filename=price.xls");
  header("Expires: 0");
  header("Cache-Control: must-revalidate, post-check=0, pre-check=0");
  header("Pragma: public");

  $blah = readfile($path);
  echo $blah[0];
?>
